cURL
curl --request POST \ --url https://api.nitrosend.com/v1/my/domains \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "domain": { "name": "<string>" } } '
{ "id": 123, "name": "<string>", "provider": "mailgun", "status": "pending", "dns_records": [ { "record_type": "<string>", "name": "<string>", "value": "<string>", "priority": "<string>", "valid": "<string>" } ], "verified_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z" }
Initiates domain verification. Returns DNS records that must be added at your domain registrar before calling POST /verify.
POST /verify
API key (nskey_live_...) or JWT token. API key is checked first; if not found, falls back to Devise JWT authentication.
nskey_live_...
Show child attributes
Domain registered with DNS records to configure
pending
verified
failed